summaryrefslogtreecommitdiffstats
path: root/meta/recipes-support/gpgme
Commit message (Collapse)AuthorAgeFilesLines
* gpgme: upgrade 1.15.0 -> 1.15.1Wang Mingyu2021-01-232-5/+5
| | | | | | | | refresh the followning patches: 0001-Revert-build-Make-gpgme.m4-use-gpgrt-config-with-.pc.patch Signed-off-by: Wang Mingyu <wangmy@cn.fujitsu.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: upgrade 1.14.0 -> 1.15.0zangrc2020-11-241-1/+1
| | | | | Signed-off-by: Zang Ruochen <zangrc.fnst@cn.fujitsu.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: use python3targetconfigAlexander Kanavin2020-11-161-1/+1
| | | | | Signed-off-by: Alexander Kanavin <alex.kanavin@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: update 1.13.1 -> 1.14.0Alexander Kanavin2020-08-252-9/+6
| | | | | Signed-off-by: Alexander Kanavin <alex.kanavin@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: fix multilib header conflictChangqing Li2020-08-201-1/+5
| | | | | | | | | | | | | | | | | | | | | | | | | | fix error: file /usr/include/gpgme.h conflicts between attempted installs of gpgme-dev-1.13.1-r0.core2_64 and lib32-gpgme-dev-1.13.1-r0.core2_32 part of diff: -#if 64 +#if 0 #ifndef _FILE_OFFSET_BITS -#error GPGME was compiled with _FILE_OFFSET_BITS = 64, please see the section "Largefile support (LFS)" in the GPGME manual. +#error GPGME was compiled with _FILE_OFFSET_BITS = 0, please see the section "Largefile support (LFS)" in the GPGME manual. #else -#if (_FILE_OFFSET_BITS) != (64) -#error GPGME was compiled with a different value for _FILE_OFFSET_BITS, namely 64, please see the section "Largefile support (LFS)" in the GPGME manual. +#if (_FILE_OFFSET_BITS) != (0) +#error GPGME was compiled with a different value for _FILE_OFFSET_BITS, namely 0, please see the section "Largefile support (LFS)" in the GPGME manual. #endif #endif #endif LFS support is enabled by default, and this header is generated during build according to current configure Signed-off-by: Changqing Li <changqing.li@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme:upgrade 1.13.0 -> 1.13.1Yuan Chao2019-08-082-13/+15
| | | | | | | | Refresh the following patch: 0007-python-Add-variables-to-tests.patch Signed-off-by: Yuan Chao <yuanc.fnst@cn.fujitsu.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: upgrade 1.12.0 -> 1.13.0Hongxu Jia2019-05-125-65/+222
| | | | | | | | | | | | | | | | | | | - Revert gpgrt-config support which oe-core does not support it - Rebase 0002-gpgme-lang-python-gpg-error-config-should-not-be-use.patch and 0001-pkgconfig.patch - Tweak LANGUAGES, since upstream auto check the version of python rather than specify option [ff6ff61 python: Auto-check for all installed python versions.] License-update: SPDX identifiers site and formats [8d91c0f Add SPDX identifiers to most source files] "s/LGPL-2.1+/LGPL-2.1-or-later/" "s#https://www.gnu.org/licenses#https://gnu.org/licenses#" Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: 1.11.1 -> 1.12.0Hongxu Jia2018-11-139-108/+81
| | | | | | | | | | | | Rebase 0007-qt-python-Add-variables-to-tests.patch Rework 0007-qt-python-Add-variables-to-tests.patch -> 0007-python-Add-variables-to-tests.patch Drop newly added option --disable-lang-qt-test which is merged to --disable-gpg-test by upstream commit [26820ba qt: Respect --disable-gpg-test for tests] Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: Inherit from distutils-common-baseAlex Kiernan2018-09-211-3/+3
| | | | | | | | | | Inherit from distutils-common-base and pythonnative/python3native to avoid runtime dependency on Python, whilst still fixing clang builds. Fixes: 8bfb54edc6fa ("gpgme: Inherit distutils3-base") Suggested-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Alex Kiernan <alex.kiernan@gmail.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* gpgme: Inherit distutils3-baseKhem Raj2018-09-041-2/+2
| | | | | | | | | | its building a module therefore its important to provide correct cross build environment, distutils3-base automatically inherits python3native this is seen when using clang where it tried to link with gcc since the environment falls back to builtin LDSHARED variable Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: 1.10.0 -> 1.11.1Hongxu Jia2018-07-038-35/+35
| | | | | | | License-Update: copyright years updated 2001-2017 -> 2001-2018 Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* gpgme: 1.9.0 -> 1.10.0Hongxu Jia2018-02-068-66/+179
| | | | | | | | | | | | | | | 1. Disable test at build time to workaround corss-compile Add 0007 to add option to disable python test and submit it to upstream 2. Rework patch 0002, since the following commit of upstream. https://git.gnupg.org/cgi-bin/gitweb.cgi?p=gpgme.git;a=commit;h=7309ce6f5f7c86570953a141965d4f54cd9ad9a0 3. Add patch 0006 to fix build path issue to improve reproducibility and submit it to upstream Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* gpgme: remove local m4/python.m4Hongxu Jia2017-08-181-0/+1
| | | | | | | | | | | | | | While multilib, the local m4/python.m4 incorrectly assigned am_cv_python_pyexecdir and am_cv_python_pythondir which caused the following error enabled: ... ERROR: gpgme-1.9.0-r0 do_package: QA Issue: gpgme: Files/directories were installed but not shipped in any package: /usr/lib/python3.5/site-packages/gpg-1.9.0-py3.5.egg-info ... Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: 1.8.0 -> 1.9.0Hongxu Jia2017-08-186-30/+70
| | | | | | | | | | | | Rebase patches: - pkgconfig.patch -> 0001 - python-lang-config.patch -> 0002 - 0001-Correctly-install-python-modules.patch -> 0003 - python-import.patch -> 0004 - 0001-gpgme-config-skip-all-lib-or-usr-lib-directories-in-.patch -> 0005 Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: add a dependency on python-unixadmin to Python bindings packageAlexander Kanavin2017-04-131-0/+3
| | | | | Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: correctly avoid host contaminationAlexander Kanavin2017-04-133-31/+32
| | | | | | | | | | | | Existing patch was actually doing the wrong thing and sometimes removing a linking flag (-lgpgme) that should be present. Instead, gpgme-config actually has internal logic to remove /usr/lib from the output, which works only in non-multilib setups, so it is adjusted to include all possible /usr/lib* and /lib* directories. Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: fix configure if 'import distutils' causes output on stderrRoss Burton2017-04-052-1/+20
| | | | | | | | | | | | There are a number of reasons that importing a module could cause output on stderr that isn't a fatal error (compatibilty problems with inputrc, or encoding warnings) so backport a patch from autoconf-archive to only check the exit code instead of asserting that stderr is empty. [ YOCTO #11231 ] Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: Avoid requiring a host C++ compiler with C++11 supportPeter Kjellerstedt2017-03-211-1/+5
| | | | | | | | | | Building the C++ bindings for native requires a host C++ compiler with C++11 support. Since these bindings are currently not needed, we can disable them and thus avoid increasing the requirement for the host C++ compiler. Signed-off-by: Peter Kjellerstedt <peter.kjellerstedt@axis.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* nativesdk-packagegroup-sdk-host: replace smartpm with dnfAlexander Kanavin2017-03-131-1/+1
| | | | Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com>
* gpgme: fix python module build and installationAlexander Kanavin2017-03-113-0/+58
| | | | | Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: Fix issue building for the targetMark Hatle2017-03-072-1/+79
| | | | | | | | | | | | | | | | | gpgme failed when configuring since you can only configure for one python system at a time (via the inherits). So we need to have a PACKAGECONFIG that defines which one [or neither] you want to use. The prior pkgconfig patch introduced the usage of the variable PKG_CONFIG, which is not defined anywhere. Define this. When building the python module, we can not call gpg-error-config, so we need to find an alternative way of finding the information the setup.py.in requires. (In this case, it's easy to just use the environment STAGING_INCDIR.) Signed-off-by: Mark Hatle <mark.hatle@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: allow building -native variantAlexander Kanavin2017-02-151-0/+2
| | | | | | | This is required by various pieces in the dnf stack Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* gpgme: 1.6.0 -> 1.8.0Hongxu Jia2017-02-153-34/+38
| | | | | | | | | | | | | | | | | | | | | | | | | - Drop gpgme.pc, it is duplicated with pkgconfig.patch - Rebase pkgconfig.patch to 1.8.0 - Split cmake config to ${PN}-dev - Update LIC_FILES_CHKSUM, because copytright year changed. - The libgpgme-pthread is obsolete by upstream; - Add package libgpgcpp; TODO: Do not remove gpgme-pthread.pc from pkgconfig.patch, the upstream explains: git://git.gnupg.org/gpgme.git commit 09b64554328445e99a8cc78fc34ea49c2ea2e7f9 ------------------------------ libgpgme-pthread is removed but gpgme-config still supports --thread=pthread for compatibility with find scripts. ------------------------------ Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com>
* gnupg.org-hosted recipes: Change SRC_URI to https siteJussi Kukkonen2016-05-301-1/+2
| | | | | | | | | | | | | | | | https version seems more reliable and in an informal test fetching all gnupg recipes now takes <20% of the time it used to. Define GNUPG_MIRROR in bitbake.conf so future tweaks to this are easier. Replace some slower mirrors with the official ftp site and another from gnupg.org mirror list. Set UPSTREAM_CHECK_URI in all recipes that need it to "https://gnupg.org/download/index.html" as the directory listings are not up-to-date. Signed-off-by: Jussi Kukkonen <jussi.kukkonen@intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* gpgme: Define __error_t_defined on muslKhem Raj2016-01-221-0/+1
| | | | | | | | | | | | | | | | | | | | | | | Configure looks for error_t in errno.h and musl does not define error_t if its not defined then configure emits a definition to be used, now we also use standalone argp implementation from glibc on musl based systems which defines this in argp.h as well so now we have it defined twice and errors like | /a/builder/mnt/build-oe/tmp-musl/sysroots/raspberrypi2/usr/include/argp.h:40:13: error: cannot combine with previous 'int' declaration specifier | typedef int error_t; | ^ | ../config.h:257:17: note: expanded from macro 'error_t' | #define error_t int | ^ | 1 error generated. are seen. argp.h definition is conditional on __error_t_defined which is true here so lets define it on musl Signed-off-by: Khem Raj <raj.khem@gmail.com>
* gpgme: upgrade to 1.6.0Jussi Kukkonen2016-01-171-3/+3
| | | | | | | License checksum changed because of text layout change. Signed-off-by: Jussi Kukkonen <jussi.kukkonen@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* meta: Fix Upstream-Status statementsRoss Burton2015-09-121-1/+1
| | | | | | | | Fix a variety of problems such as typos, bad punctuations, or incorrect Upstream-Status values. Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: 1.4.3 -> 1.5.4Robert Yang2015-06-114-120/+63
| | | | | | | | | | * Update pkgconfig.patch * Remove gpgme-fix-CVE-2014-3564.patch since it is a backport patch * The license checksum of src/gpgme.h.in is changed because it added the year 2014, the conten are the same. * Remove --without-gpgsm --with-g13 --with-gpgconf --with-gpg from EXTRA_OECONF, it doesn't have these options any more, and the values will checked located at runtime.
* gpgme: fix CVE-2014-3564Kai Kang2015-05-302-1/+59
| | | | | | | | | Backport patch to fix CVE-2014-3564. http://git.gnupg.org/cgi-bin/gitweb.cgi?p=gpgme.git;a=commit;h=2cbd76f Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: Fix to use pkg-config in .m4 filesRichard Purdie2015-04-292-1/+280
| | | | | | | pkg-config is less error prone than -config files so switch to using it (we already do for most of the rest of the gpg stack). Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: fix configuration by setting proper parameters instead of patchingAndreas Müller2015-02-152-42/+1
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* gpgme: Add pkg-config filePaul Barker2014-08-232-1/+17
| | | | | | | | A basic gpgme.pc file is installed with gpgme which should allow the library to be found and used using pkg-config rather than gpgme-config. Signed-off-by: Paul Barker <paul@paulbarker.me.uk> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* binconfig-disabled: Add class and useRichard Purdie2014-06-161-1/+3
| | | | | | | | | | | | | | | | | | | | This adds a binconfig-disabled class which can be used by recipes where a -config file is installed but we wish to disable it and just rely on the .pc files instead. Rather than simply deleting it, we make the script "exit 1" so that it can be found in PATH and raise a build error rather than something silently falling back to the build system for example. Rather than randomly finding -config files, this adds in the specification of a list of binconfig scripts which is more deterministic and maintainable moving forward. This patch converts various users in OE-Core to use this, a world build of OE-Core tests out ok with this change. There will likely be issues in other layers however, hence this being a RFT. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* recipes: Add missing pkgconfig class inheritsRichard Purdie2014-06-031-1/+1
| | | | | | | These recipes all use pkg-config in some way but were missing dependencies on the tool, this patch adds them. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: Update to ensure we pkg-config for dependenciesRichard Purdie2014-05-281-0/+6
| | | | Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* Add texinfo.bbclass; recipes that use texinfo utils at build-time inherit it.Max Eliaser2014-05-011-1/+1
| | | | | | | | | | | The class itself currently does nothing. The idea is to mark all recipes that make use of the texinfo utilities. In the future, this class could be used to suppress the generation/formatting of documentation for performance, explicitly track dependencies on these utilities, and eliminate Yocto's current dependency on the host system's texinfo utilities. Signed-off-by: Max Eliaser <max.eliaser@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: remove pth handlingPaul Eggleton2013-12-051-7/+3
| | | | | | | | | | | pth support was removed from gpgpme in 1.3.2 according to the upstream changelog, so drop all mention of it from the recipe. Fixes the configure warning: WARNING: QA Issue: gpgme: configure was passed unrecognised options: --without-pth-test --with-pth Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: update to 1.4.3Paul Eggleton2013-08-262-2/+3
| | | | | Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
* gpgme: Updated from 1.4.1 to 1.4.2Ionut Radu2013-07-022-3/+3
| | | | | | | | | Signed-off-by: Ionut Radu <ionutx.radu@intel.com> License md5 was changed for src/gpgme.h.in: "File: @configure_input@ */" was replaced by "Generated from gpgme.h.in for @GPGME_CONFIG_HOST@. */" Signed-off-by: Saul Wold <sgw@linux.intel.com>
* gpgme: Updated from 1.4.0 to 1.4.1Ionut Radu2013-05-162-4/+2
| | | | | Signed-off-by: Ionut Radu <ionutx.radu@intel.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
* gpgme: add short SUMMARYPaul Eggleton2013-04-291-0/+1
| | | | | Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
* gpgme: upgrade to 1.4.0Constantin Musca2013-03-052-5/+5
| | | | | | | | | License md5 checkum change due to: - copyright year modification - space modifications Signed-off-by: Constantin Musca <constantinx.musca@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: fix build with automake 1.12.xNitin A Kamble2012-07-171-5/+1
| | | | | | | | | | | | | | | automake 1.12.x automatically deletes empty directories, so the additional rmdir from the do_install_append fails. cleanup the do_install_append for automake 1.12.x Avoids this build issue: | rmdir: failed to remove `/srv/home/nitin/builds2/build0/tmp/work/i586-poky-linux/gpgme-1.3.2-r0/image/usr/libexec': No such file or directory | ERROR: Function failed: do_install Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com> Signed-off-by: Saul Wold <sgw@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: updated to 1.3.2Valentin Popa2012-06-252-4/+4
| | | | | | Licence update: the same licence and new copyright years added Signed-off-by: Valentin Popa <valentin.popa@intel.com>
* gpgme: clean up FILE after PACKAGE reorderSaul Wold2012-06-191-3/+2
| | | | Signed-off-by: Saul Wold <sgw@linux.intel.com>
* gpgme: Depend on npth for uclibcKhem Raj2012-06-111-2/+5
| | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: fix packaging warningsSaul Wold2012-03-141-1/+5
| | | | | | | | Use rmdir since it is currently empty, and we can catch if it gets used later Signed-off-by: Saul Wold <sgw@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gpgme: Upgrade to 1.3.1Zhai Edwin2011-08-042-5/+5
| | | | Signed-off-by: Zhai Edwin <edwin.zhai@intel.com>
* recipes: Add Upstream-Status to multiple recipesZhai Edwin2011-05-121-0/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | gtk+: Add Upstream-Status ed: Add Upstream-Status gnome-common: Add Upstream-Status libmatchbox: Add Upstream-Status matchbox-wm: Add Upstream-Status x11vnc: Add Upstream-Status xtscal: Add Upstream-Status eds-dbus: Add Upstream-Status matchbox-desktop: Add Upstream-Status matchbox-keyboard: Add Upstream-Status matchbox-stroke: Add Upstream-Status matchbox-theme-sato: Add Upstream-Status owl-video-widget: Add Upstream-Status beecrypt: Add Upstream-Status gnome-icon-theme: Add Upstream-Status tslib: Add Upstream-Status libowl-av: Add Upstream-Status sato-icon-theme: Add Upstream-Status web-webkit: Add Upstream-Status metacity: Add Upstream-Status apr: Add Upstream-Status gdk-pixbuf: Add Upstream-Status pcmanfm: Add Upstream-Status gpgme: Add Upstream-Status eee-acpi-scripts: Add Upstream-Status libgalago: Add Upstream-Status python-pygtk: Add Upstream-Status gnome-mime-data: Add Upstream-Status clutter: Add Upstream-Status clutter-gtk: Add Upstream-Status tidy: Add Upstream-Status mutter: Add Upstream-Status xcursor-transparent-theme: Add Upstream-Status leafpad: Add Upstream-Status matchbox-config-gtk: Add Upstream-Status contacts: Add Upstream-Status dates: Add Upstream-Status web: Add Upstream-Status webkit: Add Upstream-Status - Also removed empty fix_im.patch apr-util: Add Upstream-Status libcroco: Add Upstream-Status liboil: Add Upstream-Status libxslt: Add Upstream-Status libglade: Add Upstream-Status gnome-terminal: Add Upstream-Status xev: Add Upstream-Status claws-mail: Add Upstream-Status clipboard-manager: Add Upstream-Status epdfview: Add Upstream-Status kf: Add Upstream-Status qemu: Add Upstream-Status clutter-gst: Add Upstream-Status table: Add Upstream-Status matchbox-panel-2: Add Upstream-Status Signed-off-by: Zhai Edwin <edwin.zhai@intel.com>
* SRC_URI Checksums AdditionalsSaul Wold2010-12-091-0/+3
| | | | Signed-off-by: Saul Wold <sgw@linux.intel.com>